Atmel Start Import - Component version missing

Go To Last Post
7 posts / 0 new
Author
Message
#1
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 1

When running the Atmel Start importer on a newly generated Atmel Start project, I get a warning message:

 

"Atmel Start Import - Component Version missing

 

Following component versions are not installed in your PC.

- Name: Device Startup, Version 2.1.0 (Latest installed: 2.0.0)

Do you want to create the project with the Latest installed version of the above component(s)?"

 

I don't know what the "Device Startup" component is or how to update it (can't find anything on their website either).  (I'm running Atmel Studio 7.0.1188 and ASF 3.33 on windows 7 with a SAM V71Q21.)

 

If I select yes, the project imports fine, but does not build; it appears that some required code is missing (implementation of ethernet drivers used by tcpip_lite).

 

Does anyone know if this error is important or how to update "Device startup"?

 

A second question - Why should I use Start rather than ASF to generate a project, and why do they have both (they seem to me to be redundant, but I'm probably missing something)?

 

Many thanks.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Go to Tools->Device pack manager and download the update for your device.

Next version of studio will handle this in a much nicer way.

:: Morten

 

(yes, I work for Atmel, yes, I do this in my spare time, now stop sending PMs)

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

Thanks for the tip. For some reason, Device pack manager was not on my Tools menu. But I was able to add it by Tools->Customize..., finding Device pack manager, and adding it to the Tools menu.

 

I then updated all packs available. However I still get the same warning upon importing the start project.

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I have the same problem.

 

following component versions are not installed

V 1.1.0  ->  1.2.0

 

Brand new installed studio

atsamd21ja18a

 

pack is updated according to studio.

 

see attachment

 

 

Attachment(s): 

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I am having the same problem.  This is my first Atmel experience and is quite frustrating.

 

Trying to use 'ADP Hello' example program generated by Atmel START  for SAM V71 Xplained Ultra.

 

I have fresh install of Atmel Studio 7 (version 7.0.1188) 

I have  used package manager to update all packages - All show up to date

 

Versions:

 

Atmel Studio 7 (Version: 7.0.1188 - )
© 2015 Atmel Corp.
All rights reserved.

OS Version: Microsoft Windows NT 6.2.9200.0
Platform: Win32NT

Installed Packages: Shell VSIX manifest - 7.0
Shell VSIX manifest
Version: 7.0
Package GUID: e874ffe4-fbe3-4624-9a17-61014ede02d0
Company: Atmel Corporation

Installed Packages: Atmel Start - 1.0.99.0
Atmel Start
Version: 1.0.99.0
Package GUID: F8853255-9C7B-4DC2-8E0F-64D9324AEB0E
Company: Atmel

Installed Packages: Atmel Software Framework - 3.34.1.745
 

Any help greatly appreciated

 

Kevin

 

Attachment(s): 

Last Edited: Tue. Mar 7, 2017 - 02:44 PM
  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

 

Still struggling with importing and building an Atmel START project.  I have learned a few new things:

 

I used Atmel START to generate the "LED flasher" example program for both the SAM V71 Xplained Utra and the SAM E70 Xplained

 

When I open either project, I get the same error:

 

        - Name: Device Startup, Version: 2.1.0 (Latest installed : 2.0.0)

 

The SAM E70 project builds with no errors

The SAM V71 project builds with LOTS of errors

 

The SAM V71 Build errors are multiple occurrences of the following:

    error: 'Matrix {aka struct <anonymous>}' has no member named 'CCFG_DYNCKG'

    error: 'CCFG_DYNCKG_MATCKG' undeclared (first use in this function)

    error: 'CCFG_DYNCKG_MATCKG_Pos' undeclared (first use in this function)

    error: 'CCFG_DYNCKG_BRIDCKG_Pos' undeclared (first use in this function)

 

Insights greatly appreciated

  • 1
  • 2
  • 3
  • 4
  • 5
Total votes: 0

I have the same issue.

Any idea on how to solve this?